import request from '@/utils/request'

// 查询我的错题列表
export function listMemberSubjectWrong(query) {
  return request({
    url: '/hezhi/memberSubjectWrong/list',
    method: 'get',
    params: query
  })
}

// 查询我的错题详细
export function getMemberSubjectWrong(memberSubjectWrongId) {
  return request({
    url: '/hezhi/memberSubjectWrong/' + memberSubjectWrongId,
    method: 'get'
  })
}

// 新增我的错题
export function addMemberSubjectWrong(data) {
  return request({
    url: '/hezhi/memberSubjectWrong',
    method: 'post',
    data: data
  })
}

// 修改我的错题
export function updateMemberSubjectWrong(data) {
  return request({
    url: '/hezhi/memberSubjectWrong',
    method: 'put',
    data: data
  })
}

// 删除我的错题
export function delMemberSubjectWrong(memberSubjectWrongId) {
  return request({
    url: '/hezhi/memberSubjectWrong/' + memberSubjectWrongId,
    method: 'delete'
  })
}
